//
//	MiscPathField.h -- a MiscClipTextField for displaying long pathnames
//		Written by Balazs Pataki Copyright (c) 1995 by Balazs Pataki.
//				Version 1.0.  All rights reserved.


#import "MiscClipTextField.h"

@interface MiscPathField : MiscClipTextField

{
	BOOL	shouldUseTilde;
}

- initFrame:(const NXRect *)rect;	

- stringWillBeClipped:theString;

- setReplaceHomeWithTilde:(BOOL) flag;
- (BOOL)doesReplacesHomeWithTilde;

- read:(NXTypedStream*) stream;
- write:(NXTypedStream*) stream;


@end

@interface MiscPathField(IBStuff)
- (const char *)getInspectorClassName;
@end
