//
//	PBPClipTextFieldCell.h -- used for implementing PBPClipTextField
//		Written by Balazs Pataki Copyright (c) 1995 by Balazs Pataki.
//				Version 1.0.  All rights reserved.

#import <appkit/TextFieldCell.h>

@interface PBClipTextFieldCell : TextFieldCell

{	
	id		clipper;
	id		delimiters;
	
	BOOL	clipOnRight;
	BOOL	clipEnabled;
}

- init;
- initTextCell:(const char*)aString;
- finishInit;

- setClipOnRight:(BOOL)flag;
- setClipperString:(const char*)aString;
- setClipDelimiters:(const char*)delimiters;
- setClipEnabled:(BOOL)flag;

- setStringValue:(const char *)aString;

- clipper;
- delimiters;
- (BOOL) isWrapped;
- (BOOL) isClipEnabled;
- (BOOL) doesClipOnRight;

- write:(NXTypedStream *)stream;
- read:(NXTypedStream *)stream;
- awake;

@end
